package command.engine;

import command.Command;

import module.engine.Engine;
import exception.CommandFailureException;
import exception.UnsupportedCommandException;


public interface EngineCommand extends Command {
	
	public void execute(Engine engine) throws CommandFailureException,UnsupportedCommandException;

}
