package dto.vision;

import module.vision.CentroidMap;
import module.vision.Image;
import dto.DTO;
import dto.OutputDTO;

public class VisionOutputDTO extends OutputDTO {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6835776464865059822L;
	public CentroidMap<?> centroids;
	public Image<?> image;
	
	@Override
	public DTO copy() {
		VisionOutputDTO dto = new VisionOutputDTO();
		dto.updated = updated;
		dto.dead = dead;
		dto.exception = exception;
		dto.centroids = centroids;
		dto.image = image;		
		return dto;
	}
	
}
