package exception;

public class CameraCaptureException extends Exception {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2165360088968987260L;
	
	private final static String startMessage = "Failed to capture camera";

	public CameraCaptureException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public CameraCaptureException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public CameraCaptureException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public CameraCaptureException() {
		super(startMessage + ".");		
	}
}
