package exception;

public class CommandFailureException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5402587091763545993L;

	private final static String startMessage = "Command failed";

	public CommandFailureException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public CommandFailureException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public CommandFailureException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public CommandFailureException() {
		super(startMessage + ".");		
	}
	
}
