package exception;

public class CommunicationException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6925294266914134805L;
	
	private final static String startMessage = "Communication with the module was broken";

	public CommunicationException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public CommunicationException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public CommunicationException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public CommunicationException() {
		super(startMessage + ".");		
	}
	
}
