package exception;

public class CriticalException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8233248214321250504L;
	private final static String startMessage = "Critical exception has ocurred";

	public CriticalException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public CriticalException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public CriticalException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public CriticalException() {
		super(startMessage + ".");		
	}
}
