package exception;

public class QueryFailureException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6100701581962957831L;

	private final static String startMessage = "Query failed";

	public QueryFailureException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public QueryFailureException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public QueryFailureException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public QueryFailureException() {
		super(startMessage + ".");		
	}
	
}
