package exception;

public class ServerFailureException extends CriticalException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -121820978233566751L;
	
	private final static String startMessage = "Server encontered a problem";
	
	public ServerFailureException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public ServerFailureException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public ServerFailureException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public ServerFailureException() {
		super(startMessage + ".");		
	}
	
}
