package exception;

public class SetupException extends CriticalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4032319259873754236L;
	
	private final static String startMessage = "Engine setup failed";

	public SetupException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public SetupException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public SetupException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public SetupException() {
		super(startMessage + ".");		
	}
	
}