package exception;

public class UnknownCommandTypeException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2545927197867526206L;

	private final static String startMessage = "Unknown command type";

	public UnknownCommandTypeException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public UnknownCommandTypeException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public UnknownCommandTypeException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public UnknownCommandTypeException() {
		super(startMessage + ".");		
	}
	
}
