package exception;

public class UnrelatedKeyException extends Exception {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 5831212904270926551L;
	
	private final static String startMessage = "Unrelated key was pressed";

	public UnrelatedKeyException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public UnrelatedKeyException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public UnrelatedKeyException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public UnrelatedKeyException() {
		super(startMessage + ".");		
	}
}
