package module.keyboard;

import util.FrequencyOptions;
import dto.Synchronized;
import dto.keyboard.KeyboardInputDTO;
import dto.keyboard.KeyboardOutputDTO;
import module.IndependentModule;

public abstract class Keyboard extends IndependentModule<KeyboardInputDTO, KeyboardOutputDTO> {

	protected Keyboard(Synchronized<KeyboardInputDTO> input,Synchronized<KeyboardOutputDTO> output) {
		super(input, output);
	}

	@Override
	protected void act() throws Exception {}

	@Override
	public long getPeriod() {
		return FrequencyOptions.KeyPeriod;
	}

}
