package command.engine.md25;

import module.engine.Engine;
import command.engine.Off;
import exception.CommandFailureException;
import exception.UnsupportedCommandException;

public class MD25Off implements Off {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3881984571765512059L;

	@Override
	public void execute(Engine engine) throws CommandFailureException,UnsupportedCommandException {
		if(engine.isOn())
			engine.stop();
	}

}
