package command.engine.md25;

import module.engine.Engine;
import command.engine.On;
import exception.CommandFailureException;
import exception.UnsupportedCommandException;

public class MD25On implements On {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4146752065212580700L;

	@Override
	public void execute(Engine engine) throws CommandFailureException,UnsupportedCommandException {
		if(!engine.isOn())
			try {
				engine.start();
			} catch (Exception e) {
				throw new CommandFailureException(this.getClass().getName(),e);
			}
	}

}
