package command.engine.md25;

import module.engine.Engine;
import command.engine.SpecificCommand;
import exception.CommandFailureException;
import exception.UnsupportedCommandException;

public class MD25SpecificCommand implements SpecificCommand {
	
	byte[] cmd;

	/**
	 * 
	 */
	private static final long serialVersionUID = -2082724347247908499L;


	MD25SpecificCommand(byte[] cmd) {
		this.cmd=cmd;
	}
	
	@Override
	public void execute(Engine engine) throws CommandFailureException,UnsupportedCommandException {
		try {
			engine.send(cmd);
		} catch (Exception e) {
				throw new CommandFailureException(this.getClass().getName(),e);
		}
	}

}
