package controller.interpreter;

import java.awt.event.KeyEvent;

import module.keyboard.windowed.WindowedKeyboard;
import dto.keyboard.KeyboardInputDTO;
import dto.keyboard.KeyboardOutputDTO;

public class WKeyWKeyInterpreter extends Interpreter<KeyboardInputDTO, KeyboardOutputDTO, WindowedKeyboard, WindowedKeyboard> {

	public WKeyWKeyInterpreter(WindowedKeyboard interpretedModule,WindowedKeyboard instructedModule) {
		super(interpretedModule, instructedModule);
	}

	@Override
	public KeyboardInputDTO interpret(KeyboardOutputDTO input) throws Exception {
		int key = (Integer) input.key.key;
		
		
		if(key == KeyEvent.VK_ESCAPE){
			KeyboardInputDTO dto = new KeyboardInputDTO();
			dto.kill=true;
			return dto;
		}
		return null;
		
		
	}

	@Override
	public KeyboardInputDTO followUp() throws Exception {
		return null;
	}

}
