package dto;

public class Synchronized<T extends DTO> {
	private T dto;
	
	public Synchronized(T dto) {
		this.dto=dto;
	}
	
	@SuppressWarnings("unchecked")
	public synchronized void write(T d) {
		dto = (T) d.copy();
		dto.updated = true;
	}

	@SuppressWarnings("unchecked")
	public synchronized T read() {
		T d = (T)dto.copy();
		dto.updated = false;
		return d;
	}

}
