package exception;

public class ArgumentMismatchException extends Exception {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3041862951617303950L;
	
	private final static String startMessage = "Provided and expected arguments do not match";

	public ArgumentMismatchException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public ArgumentMismatchException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public ArgumentMismatchException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public ArgumentMismatchException() {
		super(startMessage + ".");		
	}
		
}
