package exception;

public class ClientFailureException extends CriticalException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5402587091763545993L;

	private final static String startMessage = "Client encontered a problem";
	
	public ClientFailureException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public ClientFailureException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public ClientFailureException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public ClientFailureException() {
		super(startMessage + ".");		
	}
	
}
