package exception;

public class EngineNotFoundException extends CriticalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -2145133572468404076L;


	private final static String startMessage = "Engine was not found";

	public EngineNotFoundException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public EngineNotFoundException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public EngineNotFoundException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public EngineNotFoundException() {
		super(startMessage + ".");		
	}
	
}
