package exception;

public class InUseException extends CriticalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 5515409220346360165L;

	private final static String startMessage = "Engine is already in use";

	public InUseException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public InUseException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public InUseException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public InUseException() {
		super(startMessage + ".");		
	}
	
}
