package exception;

public class MissingCommandException extends Exception {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3612698136336489281L;

	private final static String startMessage = "Command specification was not found";

	public MissingCommandException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public MissingCommandException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public MissingCommandException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public MissingCommandException() {
		super(startMessage + ".");		
	}
	
}