package exception;

public class PortNotFoundException extends CriticalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -226689782997059962L;

	private final static String startMessage = "Port was not found";

	public PortNotFoundException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public PortNotFoundException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public PortNotFoundException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public PortNotFoundException() {
		super(startMessage + ".");		
	}
	
}
