package exception;

public class UnsupportedCommandException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4218511044201745031L;

	private final static String startMessage = "Command is not supported";

	public UnsupportedCommandException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public UnsupportedCommandException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public UnsupportedCommandException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public UnsupportedCommandException() {
		super(startMessage + ".");		
	}
	
}