package exception;

public class UnsupportedQueryException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4218511044201745031L;

	private final static String startMessage = "Query is not supported";

	public UnsupportedQueryException(String message) {
		super(startMessage + ": " + message);		
	}
		
	public UnsupportedQueryException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public UnsupportedQueryException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public UnsupportedQueryException() {
		super(startMessage + ".");		
	}
	
}
