package exception;

public class VisionFailureException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7016511236562863132L;
	
	private final static String startMessage = "Failed to obtain vision";

	public VisionFailureException(String message) {
		super(startMessage + ": " + message);		
	}
	
	public VisionFailureException(String message,Exception e) {
		super(startMessage + ": " + message,e);		
	}
	
	public VisionFailureException(Exception e) {
		super(startMessage + ".",e);
	}
	
	public VisionFailureException() {
		super(startMessage + ".");		
	}
	
}
