package util;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;

public class CommunicationUtil {
	
	public static ArrayList<String> getCommNames(){
		ArrayList<String> names= new ArrayList<String>();
		BufferedReader fInput;
		try {
			fInput = new BufferedReader(new FileReader(CommunicationOptions.slaveNamesFile));
		    for (String tmp = fInput.readLine(); tmp != null; tmp = fInput.readLine())
		    	names.add(tmp.trim());
		} catch (FileNotFoundException e) {
			if(VisibilityOptions.verbose) System.out.println("Slaves file not found.");
		} catch (IOException e) {
			if(VisibilityOptions.verbose) System.out.println("Failed to read the slaves file.");
		}
		return names;
	}
	
	

}
